List agent simulation runs
curl --request GET \
--url https://app.promptingco.com/api/v1/agent-simulation/runs \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.promptingco.com/api/v1/agent-simulation/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/agent-simulation/runs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"runs": [
{
"id": "<string>",
"environmentId": "<string>",
"taskId": "<string>",
"organizationId": "<string>",
"status": "<string>",
"sandboxId": "<string>",
"sandboxSnapshot": "<string>",
"overallScore": 123,
"passed": true,
"tokensUsed": 123,
"costUsd": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"duration": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"volumeIds": "<unknown>",
"logS3Keys": "<unknown>",
"metadata": "<unknown>",
"environment": {
"id": "<string>",
"name": "<string>",
"agentConfig": "<unknown>",
"task": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
},
"task": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
}
],
"total": 1
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Simulations
List agent simulation runs
GET
/
api
/
v1
/
agent-simulation
/
runs
List agent simulation runs
curl --request GET \
--url https://app.promptingco.com/api/v1/agent-simulation/runs \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.promptingco.com/api/v1/agent-simulation/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/agent-simulation/runs"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"runs": [
{
"id": "<string>",
"environmentId": "<string>",
"taskId": "<string>",
"organizationId": "<string>",
"status": "<string>",
"sandboxId": "<string>",
"sandboxSnapshot": "<string>",
"overallScore": 123,
"passed": true,
"tokensUsed": 123,
"costUsd": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"duration": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"volumeIds": "<unknown>",
"logS3Keys": "<unknown>",
"metadata": "<unknown>",
"environment": {
"id": "<string>",
"name": "<string>",
"agentConfig": "<unknown>",
"task": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
},
"task": {
"id": "<string>",
"name": "<string>",
"category": "<string>"
}
}
],
"total": 1
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
apiKeyAuthbearerAuthcookieAuth
Organization-scoped API key. Available scopes:
- content:read: Read site pages, markdown content, and llms.txt files
- content:write: Create, update, and delete site pages and content
- prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
- prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
- simulations:read: Read agent-simulation tasks, runs, environments, and analytics
- simulations:write: Create and trigger simulation runs
- logs:read: Read AI-traffic logs and request-level audit events
- analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
- analytics:write: Write events to analytics
- products:read: Read product metadata and competitor data
- products:write: Update product settings and competitor lists
Query Parameters
Available options:
task, environment, iterationId, status, overallScore, duration, completedAt, createdAt Available options:
asc, desc